"seek failed: Argument invalide” on 3.3-beta2 - Quantal AMD64
August 01, 2012 18:34 - AO Breysse
Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Affects version: 3.3-beta2

Description

Using the search tool on Audacious 3.3-beta2 - Quantal AMD64 results in an error message: "Iseek failed: Argument invalide.”

History

#1 - August 02, 2012 03:33 - John Lindgren

The search tool plugin doesn't access any files directly. Probably you have a corrupted file, or one that is not parsed correctly, somewhere in your
playlist/library. When you have found the file, please get back to us.

#2 - August 02, 2012 03:35 - John Lindgren

- Subject changed from Search tool gives "seek failed: Argument invalide" on 3.3-beta2 - Quantal AMDG64 to "seek failed: Argument invalide" on
3.3-betaz - Quantal AMD64

- Category deleted (plugins/search tool)
- Affects version 3.3-beta2 added
- Affects version deleted (3.3.1)

#3 - August 02, 2012 18:37 - Cristian Ciupitu

I'm having the same issue when adding empty MP3 files in audacious-3.2.4-1.fc17.x86_64.

#4 - August 03, 2012 01:10 - Ariadne Conill

Shocking that an Iseek() would be invalid on a 0 byte file...

In all seriousness though, those error messages are created by the VFS layer which has no idea what you want to do. We just added them because
people were all like OMG AUDACIOUS JUST DOES NOTHING WHEN | ADD A 0 BYTE FILE!!loneoneone.

| suppose what you're actually after is enhanced error-messages.

#5 - August 04, 2012 04:11 - John Lindgren

The Iseek error with an empty file is not under our control, it's mpg123's doing. But as nenolod says, it's a very generic error message so there's no
reason to suppose that Mr. Breysse is adding empty files to his playlist until he responds. And until then, "me too" comments are not helpful.

#6 - August 04, 2012 20:33 - AO Breysse

| took John's original answer (thank you) and used Rhythmbox to scan the entire 104 191 items 1.4 Tb Music folder. It found various problems, empty
files etc... and they were all deleted so that Rhythmbox wouldn't report any more errors. Then | ran the search tool on Audacious again and it did go a
bit further without any error message but after several tries, every time Audacious just locks during the search and has to be killed every. Is there any
logs | could attach to help understand what's happening?
#7 - August 05, 2012 14:28 - John Lindgren
The first thing | would try is this:

When Audacious locks up, instead of killing it, run:

$ gdb -p “pidof audacious’
(gdb) thread apply all bt

This should tell us where (and hopefully why) it's locking up.

#8 - August 06, 2012 18:39 - AO Breysse
- File Audacious 3.3 gdb output added

Here is the gdb output file. Please note that Audacious got updated from 3.3-beta2 to 3.3 final.

#9 - August 07, 2012 04:38 - John Lindgren

This backtrace doesn't show anything abnormal. The main thread is sitting in the GTK+ main loop, so in theory it should be ready to respond to user
input.

#10 - August 07, 2012 18:29 - AO Breysse

OK then so what else can be done? To be a bit more clear, this happen when | scan the whole music folder to update the library. First the "Searching”
windows appears and the scan proceeds without problem, then Audacious starts counting the number of minutes (lower right corner) until the counter
stops at 0:00/914:00:43, then Audacious becomes dark and doesn't respond anymore.

#11 - August 10, 2012 02:56 - John Lindgren

AO Breysse wrote:

OK then so what else can be done?

If you run "audacious -V > log.txt" and look at the last few lines of the log after the program locks up, you might be able to narrow the problem down to
a particular file.

#12 - August 23, 2012 23:54 - John Lindgren

- Status changed from New to Closed

Closing since not enough information is provided to reproduce the problem.
#13 - August 24, 2012 06:05 - AO Breysse

As a matter of fact, the problem just doesn't happen anymore with the latest updated 3.3.1. I'm not sure why, nothing changed of late in my music
folder, maybe the ltest updates got rid of it. It's all OK now.

Files

Audacious 3.3 gdb output 27.3 KB  August 06, 2012 AO Breysse
